Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr.flwor
Class Tuple

    java.lang.Object
      net.sf.saxon.value.Value<AtomicValue>
          net.sf.saxon.value.AtomicValue
              net.sf.saxon.value.ObjectValue
                  net.sf.saxon.expr.flwor.Tuple

All Implemented Interfaces:
  PullEvent, GroundedValue<AtomicValue>, Item<AtomicValue>, ValueRepresentation<AtomicValue>, ConversionResult

    public class Tuple

extends ObjectValue

A tuple, as it appears in an XQuery tuple stream handled by extended FLWOR expressions.

Field Summary

Fields inherited from class net.sf.saxon.value.AtomicValue
`typeLabel`

Fields inherited from class net.sf.saxon.value.Value
`INDETERMINATE_ORDERING`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`Tuple(ValueRepresentation[] members)`

Method Summary
`ValueRepresentation[]` | `getMembers()`

Methods inherited from class net.sf.saxon.value.ObjectValue
`copyAsSubType, displayTypeName, effectiveBooleanValue, equals, getItemType, getObject, getPrimitiveStringValue, getPrimitiveType, getSchemaComparable, getXPathComparable, hashCode, setValue`

Methods inherited from class net.sf.saxon.value.AtomicValue
`asAtomic, checkPermittedContents, getCardinality, getComponent, getLength, getStringValue, getStringValueCS, getTypedValue, getTypeLabel, isIdentical, isNaN, itemAt, iterate, process, setTypeLabel, subsequence, toString`

Methods inherited from class net.sf.saxon.value.Value
`asItem, asItem, asIterator, asValue, convertToJava, fromItem, getCanonicalLexicalRepresentation, getIterator, getSequenceLength, reduce`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tuple

    public Tuple(ValueRepresentation[] members)

Method Detail

### getMembers

    public ValueRepresentation[] getMembers()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.